<!-- nav bar -->
{include file="%s/templates/_nav.tpl"|args:$plugin_root current_nav="personne"}

<h2>Année {$annee_recu} : versements par personne</h2>

<fieldset class="noprint">
    <input type="checkbox" class="check_global" id="check_global"
        onclick="cocherDecocherToutesLesPersonnes(check_global)" />
    <label for="check_global">Cliquer pour cocher toutes les lignes</label>
    <button type="button" data-icon="↑" class="icn-btn" id="close_details_personne"
        onclick="montrerMasquerDetails(this.id, 'details.personne', 'toutes les personnes')">
        Replier toutes les personnes</button>
        <br />
    {button type="submit" label="Télécharger les reçus au format PDF" shape="download"
            form="versements_personnes"
            formaction="generer_recus.php?type=personne&format=pdf"
            onclick="return verifierChoix(this.form)"}
    {button type="submit" target="_dialog" label="Imprimer les reçus" shape="print"
            form="versements_personnes"
            formaction="generer_recus.php?type=personne&format=print"
            onclick="return verifierChoix(this.form)"}
</fieldset>

<form method="post" id="versements_personnes">

    {* Itération sur les personnes *}
    {foreach from=$lesVersements key="rang" item="versement"}
        {if $rang == 0}
            {* 1ère personne *}
            <?php
                $pair = true;
                $personneCourante = $versement->idUser;
                $compteCourant = $versement->idCompte;
            ?>
            {afficher_debut_personne user=$personneCourante idVersement=$personneCourante}
            {afficher_debut_compte idCompte=$compteCourant}
        {elseif $versement.idUser != $personneCourante}
            {* changement de personne *}
            {fin_compte}
            {fin_personne}
            <?php
                 $pair = true;
                 $personneCourante = $versement->idUser;
                 $compteCourant = $versement->idCompte;
            ?>
            {afficher_debut_personne user=$personneCourante idVersement=$personneCourante}
            {afficher_debut_compte idCompte=$compteCourant}
        {elseif $versement.idCompte != $compteCourant}
            {fin_compte}
            {* changement de compte *}
            <?php
                $pair = true;
                $compteCourant = $versement->idCompte;
            ?>
            {afficher_debut_compte idCompte=$compteCourant}
        {else}
            {* même personne, même compte *}
        {/if}
        {afficher_versement versement=$versement idVersement=$personneCourante rang=$rang pair=$pair}
        <?php $pair = ! $pair; ?>
    {/foreach} {* Itération sur les personnes *}
    {fin_compte}
    {fin_personne}
</form>

{* scripts divers *}
<script src="script.js"></script>

<!-- footer -->
{include file="admin/_foot.tpl"}